
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops create sshpublickey

Create an SSH public key.

### Synopsis

Create a new SSH public key, and store the key in the state store.  The key is not updated by this command.

```
kops create sshpublickey [CLUSTER] [flags]
```

### Examples

```
  # Create a new SSH public key from the file ""~/.ssh/id_rsa.pub".
  kops create sshpublickey k8s-cluster.example.com -i ~/.ssh/id_rsa.pub
```

### Options

```
  -h, --help                    help for sshpublickey
  -i, --ssh-public-key string   Path to SSH public key
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops create](kops_create.md)	 - Create a resource by command line, filename or stdin.

